Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.mql
Class MqlNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.mql.MqlNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable

Direct Known Subclasses:
  MqlBinaryOperator, MqlDotNode, MqlIdentNode

    public class MqlNode

extends antlr.CommonAST

The root of Mql analysis tree nodes. It performs analysis as the tree is built. It should know how to determine its Makumba type, if it is not a parameter.

Version:
  $Id: MqlNode.java,v 1.1 Aug 5, 2008 5:38:16 PM cristi Exp $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`protected ArrayList<String>` | `checkAsIds`
`static ArrayList<MQLFunctionDefinition>` | `mqlFunctions`
`(package private) MqlSqlWalker` | `walker`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`MqlNode()`

Method Summary
`protected boolean` | `checkAndRewriteOperand(MqlNode left, MqlNode right)`
`protected void` | `checkForOperandType(MqlNode ast)`
`(package private) void` | `checkOperandTypes(MqlNode left, MqlNode right)`
`protected boolean` | `checkParam(MqlNode left, MqlNode right)`
`protected FieldDefinition` | `findMakType(MqlNode child)`
`protected FieldDefinition` | `getMakType()`
`String` | `getOriginalText()`
`protected MqlSqlWalker` | `getWalker()`
`(package private) static void` | `initMQLFunctions()`
`(package private) boolean` | `isParam()`
`(package private) String` | `knownType()`
`protected FieldDefinition` | `makeBooleanFieldDefinition()`
`protected void` | `oneMoreChild(MqlNode child)`
`void` | `setFather(MqlNode node)` we analyze the tree as it is built
`void` | `setFirstChild(antlr.collections.AST a)` we analyze the tree as it is built, we call oneMoreChild() to see whether we are ready for analysis
`protected void` | `setMakType(FieldDefinition fd)`
`void` | `setNextSibling(antlr.collections.AST a)` we analyze the tree as it is built, we call oneMoreChild() of the father to see whether it is ready for analysis
`void` | `setText(String text)`
`void` | `setTextList(NameResolver.TextList tl)`
`void` | `setType(int type)`
`protected void` | `setWalker(MqlSqlWalker walker)`
`String` | `toString()`
`void` | `writeTo(NameResolver.TextList t)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setVerboseStringConversion, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### walker

    MqlSqlWalker walker

### checkAsIds

    protected ArrayList<String> checkAsIds

### mqlFunctions

    public static ArrayList<MQLFunctionDefinition> mqlFunctions

Constructor Detail

### MqlNode

    public MqlNode()

Method Detail

### getWalker

    protected MqlSqlWalker getWalker()

### setWalker

    protected void setWalker(MqlSqlWalker walker)

### setFather

    public void setFather(MqlNode node)

  we analyze the tree as it is built

### setFirstChild

    public void setFirstChild(antlr.collections.AST a)

  we analyze the tree as it is built, we call oneMoreChild() to see whether we are ready for analysis

  Specified by:
    `setFirstChild` in interface `antlr.collections.AST`
  Overrides:
    `setFirstChild` in class `antlr.BaseAST`

### setNextSibling

    public void setNextSibling(antlr.collections.AST a)

  we analyze the tree as it is built, we call oneMoreChild() of the father to see whether it is ready for analysis

  Specified by:
    `setNextSibling` in interface `antlr.collections.AST`
  Overrides:
    `setNextSibling` in class `antlr.BaseAST`

### oneMoreChild

    protected void oneMoreChild(MqlNode child)

### findMakType

    protected FieldDefinition findMakType(MqlNode child)

### setMakType

    protected void setMakType(FieldDefinition fd)

### getMakType

    protected FieldDefinition getMakType()

### setText

    public void setText(String text)

  Specified by:
    `setText` in interface `antlr.collections.AST`
  Overrides:
    `setText` in class `antlr.CommonAST`

### setType

    public void setType(int type)

  Specified by:
    `setType` in interface `antlr.collections.AST`
  Overrides:
    `setType` in class `antlr.CommonAST`

### knownType

    String knownType()

### checkForOperandType

    protected void checkForOperandType(MqlNode ast)

### isParam

    boolean isParam()

### checkOperandTypes

    void checkOperandTypes(MqlNode left,
                           MqlNode right)
                     throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### getOriginalText

    public String getOriginalText()

### writeTo

    public void writeTo(NameResolver.TextList t)

### toString

    public String toString()

  Specified by:
    `toString` in interface `antlr.collections.AST`
  Overrides:
    `toString` in class `antlr.BaseAST`

### setTextList

    public void setTextList(NameResolver.TextList tl)

### checkAndRewriteOperand

    protected boolean checkAndRewriteOperand(MqlNode left,
                                             MqlNode right)
                                      throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### checkParam

    protected boolean checkParam(MqlNode left,
                                 MqlNode right)

### makeBooleanFieldDefinition

    protected FieldDefinition makeBooleanFieldDefinition()

### initMQLFunctions

    static void initMQLFunctions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20